<div class="flex flex-col flex-auto items-center sm:justify-center min-w-0" style="background-color: #F8F8F8;">

    <div class="container mx-auto flex items-top justify-between">
        <!-- <div class="flex items-center cursor-pointer" [routerLink]="['/selfie']"><mat-icon class="mt-6 mb-6 "
            style="color: #FFFFFF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-20"
            style="color: #FFFFFF;">Back</span></div> -->
        <div class="flex items-center cursor-pointer"></div>

        <div class="flex items-center  w-auto">
            <button class="mr-2	"
                style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

            <button class="mr-2	"
                style="border: 1px; background-color:#D1D3D4; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

        </div>

        <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #000000;">help_outline</mat-icon></div>
    </div>

    <div class="font-Semibold-40 font-141461 mt-7 mb-7" style="text-align:center !important;">
        <div>Personal Information</div>
    </div>


    <div class="flex flex-col items-center sm:justify-center min-w-0">
        <!-- Main -->

        <div class="w-full mx-auto mb-10 shadow bg-white" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
        ">

            <div class="w-full sm:mx-0">
                <!-- CONTENT GOES HERE -->
                <form action="" class="md:container md:mx-auto px-3" [formGroup]="AuthRegisterForm">

                    <div class="flex flex-col mx-20 my-3">
                        <div class="mt-2 font-medium text-2xl leading-none">
                            <div class="form-group">
                                <div>
                                    <mat-form-field class="w-full mt-11" appearance="outline">
                                        <mat-label>Name</mat-label>
                                        <input formControlName="fullName" matInput placeholder="Name">
                                    </mat-form-field>
                                </div>

                                <div>
                                    <mat-form-field class="w-full" appearance="outline">
                                        <mat-label>ID Number</mat-label>
                                        <input formControlName="Id" matInput placeholder="ID" (change)="extractDOB()">
                                    </mat-form-field>
                                </div>
                                <!-- <div>
                                    <mat-form-field class="w-full" appearance="outline">
                                        <mat-label>Date of Birth</mat-label>
                                        <input matInput [matDatepicker]="dobPicker" placeholder="Date of Birth"
                                            formControlName="dateOfBirth" readonly>
                                        <mat-datepicker-toggle matSuffix [for]="dobPicker"
                                            [disabled]="isDateOfBirthDisabled"></mat-datepicker-toggle>
                                        <mat-datepicker #dobPicker [disabled]="isDateOfBirthDisabled"></mat-datepicker>
                                    </mat-form-field>
                                </div> -->

                                

                                <!--                                 <div>
                                    <mat-form-field class="w-full" appearance="outline">
                                        <mat-label>Address line 2</mat-label>
                                        <input input matInput formControlName="bankNum" [(ngModel)]="bankNum" matInput
                                            placeholder="Address line 2" value="">
                                    </mat-form-field>
                                </div>
                                <div>
                                    <mat-form-field style="width: 46.5%;" class="mr-5" appearance="outline">
                                        <mat-label>Province/State</mat-label>
                                        <input input matInput formControlName="bankNum" [(ngModel)]="bankNum" matInput
                                            placeholder="Province/State" value="">
                                    </mat-form-field>
                                    <mat-form-field style="width: 46.5%;" appearance="outline">
                                        <mat-label>Postcode</mat-label>
                                        <input input matInput formControlName="bankNum" [(ngModel)]="bankNum" matInput
                                            placeholder="Postcode" value="">
                                    </mat-form-field>
                                </div>

                                <div>
                                    <mat-form-field appearance="outline" class="fuse-mat-button-large w-full sm-1">
                                        <mat-select formControlName="nationality" placeholder="Country">
                                            <mat-option *ngFor="let item of dropdownData2" [value]="item.name">{{
                                                item.name
                                                }}</mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div> -->

                                <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type"
                                    [@shake]="alert.type === 'error'" class="justify-center">
                                    {{alert.message}}
                                </fuse-alert>

                                <div class="relative flex flex-col flex-auto items-center  pb-12 w-auto ">
                                    <button class="fuse-mat-button-large button-r5-disable w-full" [color]="'primary'"
                                        mat-flat-button (click)="submitDetails()" [disabled]="AuthRegisterForm.invalid">
                                        <span class="font-Semibold-14">Continue</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>


                </form>

            </div>

        </div>
    </div>
</div>